package cn.stylefeng.guns.zjxl.model;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

/***
 * @ClassName: ZjxlArticleContent
 * @Description:
 * @Auther: shi kejing
 * @Date: 2020/11/3 17:36
 */
@Entity
@Table(name = "zjxl_article_content")
public class ZjxlArticleContent {
   private String articleContentId;
    private String articleContentTitle;
    private String articleContentCover;
    private String articleContentAbstract;
    private Integer articleContentType;
    private String articleContentClassify;
    private String articleContentSubclassify;
    private Integer articleContentSort;
    private Integer articleContentIsLine;
    private String articleContentCreateTime;
    private String articleContentContent;

    @Id
    public String getArticleContentId() {
        return articleContentId;
    }

    public void setArticleContentId(String articleContentId) {
        this.articleContentId = articleContentId;
    }

    public String getArticleContentTitle() {
        return articleContentTitle;
    }

    public void setArticleContentTitle(String articleContentTitle) {
        this.articleContentTitle = articleContentTitle;
    }

    public String getArticleContentCover() {
        return articleContentCover;
    }

    public void setArticleContentCover(String articleContentCover) {
        this.articleContentCover = articleContentCover;
    }

    public String getArticleContentAbstract() {
        return articleContentAbstract;
    }

    public void setArticleContentAbstract(String articleContentAbstract) {
        this.articleContentAbstract = articleContentAbstract;
    }

    public Integer getArticleContentType() {
        return articleContentType;
    }

    public void setArticleContentType(Integer articleContentType) {
        this.articleContentType = articleContentType;
    }

    public String getArticleContentClassify() {
        return articleContentClassify;
    }

    public void setArticleContentClassify(String articleContentClassify) {
        this.articleContentClassify = articleContentClassify;
    }

    public String getArticleContentSubclassify() {
        return articleContentSubclassify;
    }

    public void setArticleContentSubclassify(String articleContentSubclassify) {
        this.articleContentSubclassify = articleContentSubclassify;
    }

    public Integer getArticleContentSort() {
        return articleContentSort;
    }

    public void setArticleContentSort(Integer articleContentSort) {
        this.articleContentSort = articleContentSort;
    }

    public Integer getArticleContentIsLine() {
        return articleContentIsLine;
    }

    public void setArticleContentIsLine(Integer articleContentIsLine) {
        this.articleContentIsLine = articleContentIsLine;
    }

    public String getArticleContentCreateTime() {
        return articleContentCreateTime;
    }

    public void setArticleContentCreateTime(String articleContentCreateTime) {
        this.articleContentCreateTime = articleContentCreateTime;
    }

    public String getArticleContentContent() {
        return articleContentContent;
    }

    public void setArticleContentContent(String articleContentContent) {
        this.articleContentContent = articleContentContent;
    }
}
